function NacteniDat()       % funkce pro načítání parametrů z .xlsx souboru

    global FilesInfo;       % globální proměnná 

    [~, ~, Data] = xlsread('Data.xlsx');            % načtení tabulky z Microsoft Excel
    
    FilesInfo = struct();       % vytvoření struktury
    Header = Data(1, :);        % hlavička 
    SequencesNames = unique(Data(2:end, 1));    % unikátní názvy sekvence
    
    for i = 1:length(SequencesNames)
    
        SequencesPosition = strcmp(Data(:, 1), SequencesNames{i});          % uložení pozic sekvencí
        FantomsNames = unique(Data(SequencesPosition, 12));                 % unikání názvy fantomů
        
        for j = 1:length(FantomsNames)
        
            FantomsPosition = find(SequencesPosition & strcmp(Data(:, 12), FantomsNames{j}));   % uložení pořadí fantomu
            
            for k = 1:length(FantomsPosition)
                
                FilesData = Data(FantomsPosition(k), :); 
                
                for l = 1:length(Header)
                
                    FilesInfo.(SequencesNames{i}).(FantomsNames{j})(k).(Header{l}) = FilesData{l}; % info do proměnné Files.Info o jednotlivých obrázcích na základě výběru sekvence a výběru a fantomu
                end
            end
        end
    end
end